Import patches-unapplied version 2.3 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 757cfb724f

New changelog entries:
  * Set pipefail (bash-specific) in auto/build so that we fail immediately
    if the main image build fails.
  * Anchor regex to avoid misdetecting vmlinux-3.0-0-powerpc64-smp as a
    powerpc flavour kernel.
impish
Colin Watson 14 years ago committed by usd-importer
parent 757cfb724f
commit d53152166c

9
debian/changelog vendored

@ -1,3 +1,12 @@
livecd-rootfs (2.3) oneiric; urgency=low
* Set pipefail (bash-specific) in auto/build so that we fail immediately
if the main image build fails.
* Anchor regex to avoid misdetecting vmlinux-3.0-0-powerpc64-smp as a
powerpc flavour kernel.
-- Colin Watson <cjwatson@ubuntu.com> Tue, 14 Jun 2011 09:16:43 +0100
livecd-rootfs (2.2) oneiric; urgency=low
* Pass --linux-flavours to lb config if necessary.

@ -1,5 +1,6 @@
#! /bin/sh
#! /bin/bash
set -e
set -o pipefail
export LC_ALL=C
@ -59,7 +60,7 @@ for OUTPUT in ext2 ext3 manifest manifest-remove size squashfs; do
done
for FLAVOUR in $LB_LINUX_FLAVOURS; do
KVERS="$( (cd "binary/$INITFS"; ls vmlinu?-*) | sed -n "s/^vmlinu.-\\([^-]*-[^-]*-$FLAVOUR\\)/\\1/p" )"
KVERS="$( (cd "binary/$INITFS"; ls vmlinu?-*) | sed -n "s/^vmlinu.-\\([^-]*-[^-]*-$FLAVOUR\\)$/\\1/p" )"
if [ -z "$KVERS" ]; then
echo "No kernel output for $FLAVOUR!" >&2
exit 1

Loading…
Cancel
Save